Subject: Re: bug#57589: Guix hands on GDM with wayland

From: Grigory Shepelev <[email-masked]>
Date: Wed, 4 Jan 2023 03:08:04 +0000

I've figured out the problem with disappearing /tmp dir was caused by 
another package (steam, from nonguix*) due to how it's packed (it 
exposes /tmp dir as a guix contaner, using fhs deep in it's guts). So 
disappearing /tmp dir was only caused by this one.

For now the only problem that is the core of this bug report is: if you 
add /tmp file-system to yours system file-systems you won't be able to 
chose "Gnome on Wayland". And as I wrote, I suppose that's due to how 
x11-socket-directory-service from (gnu services desktop) works. It seems 
like your system's /tmp file-system will be created AFTER this 
x11-socket-directory-service will create it's own /tmp. It's mounted "on 
top".

---

* I don't know if it's appropriate to mention it here, I don't encourage 
anyone to use nonfree software.